<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:rich="http://richfaces.org/rich"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:g="http://www.ihe.net/gazelle"
        xmlns:gri="http://java.sun.com/jsf/composite/gri"
        template="//layout/template.xhtml">
    <ui:define name="body">
        <s:div id="globalDiv">
            <h:form id="globalForm">
                <s:div rendered="#{companyDetailsManager.selectedCompany == null}">
                    <h1>#{messages['net.ihe.gazelle.simulators.CompanyDetails']}</h1>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.simulators.ThisPageGathersTheIPAddressesOfTheCompaniesWhoAr']}"
                            styleClass="help-block"/>
                    <gri:panel>
                        <f:facet name="header">#{messages['net.ihe.gazelle.simulators.RegisteredCompanies']}</f:facet>
                        <rich:dataTable value="#{companyDetailsManager.getFilteredList()}" var="cd" id="detailsTable"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        render="dsCP">
                            <g:column sortBy="#{'companyKeyword'}"
                                      sortOrder="#{dataTableStateHolder.sortOrders['companyKeyword']}"
                                      filterBy="#{'companyKeyword'}" filterEvent="keyup">
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.CompanysKeyword']}</ui:define>
                                <rich:inplaceInput value="#{cd.companyKeyword}"
                                                   showControls="true" inputWidth="90%">
                                    <a4j:ajax event="change"
                                              listener="#{companyDetailsManager.saveDetails(cd)}"
                                              render="detailsTable"/>
                                </rich:inplaceInput>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.RegisteredIPAddresses']}</ui:define>
                                <ul>
                                    <a4j:repeat value="#{cd.ipList}" var="ip">
                                        <li>
                                            <h:outputText value="#{ip.value}"/>
                                            <h:outputText value=" (#{messages['net.ihe.gazelle.simulators.AddedBy']} #{ip.addedBy} #{messages['net.ihe.gazelle.simulators.On']} "/>
                                            <g:date value="#{ip.addedOn}"/>
                                            <h:outputText value=")"/>
                                        </li>
                                    </a4j:repeat>
                                </ul>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Actions']}</ui:define>
                                <div class="gzl-never-wrap">
                                    <a4j:commandLink actionListener="#{companyDetailsManager.setSelectedCompany(cd)}"
                                                     title="#{messages['net.ihe.gazelle.simulators.AddAnIPAddressToThisList']}" render="globalDiv">
                                        <s:span styleClass="gzl-icon-plus"/>
                                    </a4j:commandLink>
                                    <a4j:commandLink actionListener="#{companyDetailsManager.setSelectedCompany(cd)}"
                                                     title="#{messages['net.ihe.gazelle.simulators.RemoveThisCompanyFromList']}" render="deleteConfirmDiv"
                                                     oncomplete="jq162('#deleteConfirmPanel').modal('show')">
                                        <s:span styleClass="gzl-icon-trash-o"/>
                                    </a4j:commandLink>
                                </div>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="dsCP"/>
                                    <ui:param name="dataTableId" value="detailsTable"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                        <f:facet name="footer">
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.simulators.AddACompany']}"
                                               actionListener="#{companyDetailsManager.newCompanyDetails()}"
                                               render="globalDiv" immediate="true"
                                               styleClass="gzl-btn-green"/>
                        </f:facet>
                    </gri:panel>
                </s:div>
                <f:subview rendered="#{companyDetailsManager.selectedCompany != null}">
                    <ui:include src="/messages/_newCompanyPanel.xhtml"/>
                </f:subview>
                <ui:include src="/messages/_deleteCompanyPanel.xhtml"/>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>